<?xml version="1.0" encoding="utf-8"?>
<config-project id="namespace_node_expansion" version="1.0" showDisabledItems="false">
    <config-page id="dcn_insight" folder="false">

        <config-set id="expansion_base_analyzer_node_config" type="table" level="0" dynamic="0" folder="false">
        <config id="expansion_base_analyzer_node_scale" type="enum" default="0" required="true" editable="true">
            <validation range="0,1,2,3,6"/>
            </config>
        </config-set>

<config-set dependsAction="show,show" dependsID="expansion_base_analyzer_node_scale,use_ipv6" dependsOp="ge,eq" dependsValue="1,IPv4"
                    id="scale_nodes_info" type="table" headers="scale_nodes_config_headers" widths="20,25,55" visible="true">
            <config-set generator="group" number="10" start="1" dependsID="expansion_base_analyzer_node_scale" dependsOp="lt"
                        dependsAction="hide" dependsValue="{0}">
                <config id="lld_node_{0}" type="labelfield" default="computing_node" required="true"/>
                <config id="node_vm_eth3_ip_201{0}" type="ip" required="true" editable="true"
                        dependsID="expansion_base_analyzer_node_scale" dependsOp="lt" dependsAction="hide,reset"
                        dependsValue="{0}" default=""/>
                <config id="lld_analyzer_node_rest_{0}_ip_remark_id" default="scal_lld_analyzer_node_rest_ip_remark" type="labelfield" required="true"/>

            </config-set>
        </config-set>

        <config-set dependsAction="show,show" dependsID="expansion_base_analyzer_node_scale,use_ipv6" dependsOp="ge,eq" dependsValue="1,IPv6"
                    id="scale_nodes_info_ipv6" type="table" headers="scale_nodes_config_headers" widths="20,25,55" visible="true">
            <config-set generator="group" number="10" start="1" dependsID="expansion_base_analyzer_node_scale" dependsOp="lt"
                        dependsAction="hide" dependsValue="{0}">
                <config id="lld_node_ipv6_{0}" type="labelfield" default="computing_node" required="true"/>
                <config id="node_vm_eth3_ipv6_201{0}" type="ip" extType="v6" required="true" editable="true"
                        dependsID="expansion_base_analyzer_node_scale" dependsOp="lt" dependsAction="hide,reset"
                        dependsValue="{0}" default=""/>
                <config id="lld_analyzer_node_rest_{0}_ipv6_remark_id" default="scal_lld_analyzer_node_rest_ip_remark" type="labelfield" required="true"/>

            </config-set>
        </config-set>


        <config-set id="hide_info" type="table" visible="false">
			<config id="node_ip_0011" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_2011},${node_vm_eth3_ip_2011}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_0012" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_2012},${node_vm_eth3_ip_2012}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_0013" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_2013},${node_vm_eth3_ip_2013}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_0014" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_2014},${node_vm_eth3_ip_2014}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_0015" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_2015},${node_vm_eth3_ip_2015}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_0016" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_2016},${node_vm_eth3_ip_2016}" optionalDepValues="IPv6,IPv4"/>
            <config id="node_ip_0017" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_2017},${node_vm_eth3_ip_2017}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_0018" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_2018},${node_vm_eth3_ip_2018}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_0019" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_2019},${node_vm_eth3_ip_2019}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00110" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20110},${node_vm_eth3_ip_20110}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00111" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20111},${node_vm_eth3_ip_20111}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00112" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20112},${node_vm_eth3_ip_20112}" optionalDepValues="IPv6,IPv4"/>
            <config id="node_ip_00113" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20113},${node_vm_eth3_ip_20113}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00114" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20114},${node_vm_eth3_ip_20114}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00115" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20115},${node_vm_eth3_ip_20115}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00116" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20116},${node_vm_eth3_ip_20116}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00117" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20117},${node_vm_eth3_ip_20117}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00118" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20118},${node_vm_eth3_ip_20118}" optionalDepValues="IPv6,IPv4"/>
            <config id="node_ip_00119" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20119},${node_vm_eth3_ip_20119}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00120" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20120},${node_vm_eth3_ip_20120}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00121" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20121},${node_vm_eth3_ip_20121}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00122" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20122},${node_vm_eth3_ip_20122}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00123" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20123},${node_vm_eth3_ip_20123}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00124" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20124},${node_vm_eth3_ip_20124}" optionalDepValues="IPv6,IPv4"/>
            <config id="node_ip_00125" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20125},${node_vm_eth3_ip_20125}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00126" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20126},${node_vm_eth3_ip_20126}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00127" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20127},${node_vm_eth3_ip_20127}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00128" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20128},${node_vm_eth3_ip_20128}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00129" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20129},${node_vm_eth3_ip_20129}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00130" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20130},${node_vm_eth3_ip_20130}" optionalDepValues="IPv6,IPv4"/>
            <config id="node_ip_00131" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20131},${node_vm_eth3_ip_20131}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00132" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20132},${node_vm_eth3_ip_20132}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00133" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20133},${node_vm_eth3_ip_20133}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00134" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20134},${node_vm_eth3_ip_20134}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00135" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20135},${node_vm_eth3_ip_20135}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00136" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20136},${node_vm_eth3_ip_20136}" optionalDepValues="IPv6,IPv4"/>
            <config id="node_ip_00137" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20137},${node_vm_eth3_ip_20137}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00138" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20138},${node_vm_eth3_ip_20138}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00139" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20139},${node_vm_eth3_ip_20139}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00140" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20140},${node_vm_eth3_ip_20140}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00141" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20141},${node_vm_eth3_ip_20141}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00142" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20142},${node_vm_eth3_ip_20142}" optionalDepValues="IPv6,IPv4"/>
            <config id="node_ip_00143" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20143},${node_vm_eth3_ip_20143}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00144" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20144},${node_vm_eth3_ip_20144}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00145" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20145},${node_vm_eth3_ip_20145}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00146" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20146},${node_vm_eth3_ip_20146}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00147" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20147},${node_vm_eth3_ip_20147}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00148" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20148},${node_vm_eth3_ip_20148}" optionalDepValues="IPv6,IPv4"/>
            <config id="node_ip_00149" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20149},${node_vm_eth3_ip_20149}" optionalDepValues="IPv6,IPv4"/>
			<config id="node_ip_00150" type="text" default="" required="false" editable="false" visible="false" dependsID="use_ipv6" dependsOp="in" dependsAction="optional" dependsValue="IPv6|IPv4" optionalValues="${node_vm_eth3_ipv6_20150},${node_vm_eth3_ip_20150}" optionalDepValues="IPv6,IPv4"/>
        </config-set>

        <config-set id="scale_node_type" type="table" headers="scale_node_type_headers" visible="false">
            <config-set generator="group" number="10" start="1" dependsID="expansion_base_analyzer_node_scale" dependsOp="lt"
                        dependsAction="hide" dependsValue="{0}">
                <config id="scale_type_{0}" type="checkbox_group" default="scale_analyzer,scale_fi" visible="true"
                        required="true" editable="true">
                    <validation range="scale_analyzer,scale_fi"/>
            </config>
            </config-set>
        </config-set>

    </config-page>
</config-project>